Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.velocity.template
Class AbstractDefaultToStringRenderable

    java.lang.Object
      org.apache.tiles.velocity.template.AbstractDefaultToStringRenderable

All Implemented Interfaces:
  org.apache.velocity.runtime.Renderable

    public abstract class AbstractDefaultToStringRenderable

extends java.lang.Object
implements org.apache.velocity.runtime.Renderable

Renderable that provides a default implementation of `Renderable#toString()` and allows access to parameters and context objects.

Since:
  2.2.0
Version:
  $Rev: 791161 $ $Date: 2009-07-04 20:53:36 +0200 (sab, 04 lug 2009) $

Field Summary
`protected java.util.Map<java.lang.String,java.lang.Object>` | `params` The parameters used in the current tool call.
`protected javax.servlet.http.HttpServletRequest` | `request` The HTTP request.
`protected javax.servlet.http.HttpServletResponse` | `response` The HTTP response.
`protected org.apache.velocity.context.Context` | `velocityContext` The Velocity context.

Constructor Summary
`AbstractDefaultToStringRenderable(org.apache.velocity.context.Context velocityContext, java.util.Map<java.lang.String,java.lang.Object> params, javax.servlet.http.HttpServletResponse response, javax.servlet.http.HttpServletRequest request)` Constructor.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.velocity.runtime.Renderable
`render`

Field Detail

### velocityContext

    protected final org.apache.velocity.context.Context velocityContext

  The Velocity context.

  Since:
    2.2.0

### params

    protected final java.util.Map<java.lang.String,java.lang.Object> params

  The parameters used in the current tool call.

  Since:
    2.2.0

### response

    protected final javax.servlet.http.HttpServletResponse response

  The HTTP response.

  Since:
    2.2.0

### request

    protected final javax.servlet.http.HttpServletRequest request

  The HTTP request.

  Since:
    2.2.0

Constructor Detail

### AbstractDefaultToStringRenderable

    public AbstractDefaultToStringRenderable(org.apache.velocity.context.Context velocityContext,
                                             java.util.Map<java.lang.String,java.lang.Object> params,
                                             javax.servlet.http.HttpServletResponse response,
                                             javax.servlet.http.HttpServletRequest request)

  Constructor.

  Parameters:
    `velocityContext` - The Velocity context.
    `params` - The parameters used in the current tool call.
    `response` - The HTTP response.
    `request` - The HTTP request.
  Since:
    2.2.0

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.